Subject: [alpine-user] DKMS/kernel modules support?

From: Martin Galvan <[email-masked]>
Date: Sat, 14 Oct 2017 23:50:23 -0300

Hi everyone, I'm trying to build/install a kernel module distributed
as a .deb package created through dkms mkdeb. I'm running into a few
issues here:

1) There seems to be no dkms support in Alpine. At least there's no
'dkms' package, and a quick googling didn't come up with anything
useful.
2) Even when trying to build the module manually, the directory
/lib/modules/$(uname -r)/build doesn't exist. Installing the
'linux-headers' package places a bunch of stuff in /usr/include, but
does nothing in /lib/modules. I was expecting at least a symlink.

Is it even possible to build a kernel module here without messing
around too much with the directories and whatnot?

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---